<div id="reports-list-top-bar">
  <div id="filters-results-wrapper">
    <dsfr-button
      [label]="
        activatedFilters()
          ? activatedFilters() + ' filtre' + (activatedFilters() > 1 ? 's' : '')
          : 'Filtres'
      "
      icon="fr-icon-filter-line"
      [size]="elementSizes.SMALL"
      [type]="buttonTypes.TERTIARY_NO_OUTLINE"
      (buttonClicked)="onFiltersButtonClicked()"></dsfr-button>
    <div class="separator"></div>
    <div id="reports-list-results">
      {{ filteredReports().length }} résultat{{
        filteredReports().length > 1 ? "s" : ""
      }}
    </div>
  </div>
  <div class="right-menu-container">
    @if (isMultipleSelectMode()) {
      <dsfr-button
        label="Retour"
        icon="fr-icon-arrow-left-s-line"
        [type]="buttonTypes.TERTIARY_NO_OUTLINE"
        [size]="elementSizes.SMALL"
        (buttonClicked)="onCancelUpdateMultipleStatus()">
      </dsfr-button>
    } @else {
      <dsfr-button
        label="Mettre à jour les statuts"
        icon="fr-icon-success-line"
        [size]="elementSizes.SMALL"
        [type]="buttonTypes.TERTIARY_NO_OUTLINE"
        (buttonClicked)="onUpdateMultipleStatus()">
      </dsfr-button>
      <infra-num-report-export-button></infra-num-report-export-button>
    }
  </div>
  <dsfr-button
    class="mobile-contextual-menu-trigger"
    icon="fr-icon-more-line"
    [type]="buttonTypes.TERTIARY_NO_OUTLINE"
    (buttonClicked)="onOpenMobileContextualMenu()">
  </dsfr-button>
</div>
<div
  id="reports-list-content"
  role="grid">
  <div
    id="reports-list-header"
    class="reports-list-row"
    role="row">
    <div
      class="reports-list-cell"
      role="columnheader">
      Ville
    </div>
    <div
      class="reports-list-cell"
      role="columnheader">
      Statut
    </div>
    <div
      class="reports-list-cell"
      role="columnheader">
      Opérateur
    </div>
    <div
      class="reports-list-cell"
      role="columnheader">
      Lambert 93
    </div>
  </div>
  <div
    *ngFor="let report of paginatedReports()"
    (click)="onListItemClicked(report)"
    class="reports-list-row report-detail"
    [class.active]="report._id === selectedReport?._id || selectedReports().includes(report)"
    [class.disabled]="selectedStatus() && report.status !== selectedStatus()"
    role="row">
    <div
      class="reports-list-cell"
      role="gridcell">
      {{ report.zipCode }} {{ report.city }}
    </div>
    <div
      class="reports-list-cell"
      role="gridcell">
      <dsfr-badge
        [label]="reportStatuses.get(report.status).label | uppercase"
        [theme]="reportStatuses.get(report.status).theme"
        [size]="elementSizes.SMALL"></dsfr-badge>
    </div>
    <div
      class="reports-list-cell"
      role="gridcell">
      <dsfr-tag
        *ngFor="let operator of report.operators"
        [label]="mobileOperators.get(operator)"
        [size]="elementSizes.SMALL"></dsfr-tag>
    </div>
    <div
      class="reports-list-cell"
      role="gridcell">
      {{ report | toLambert93String }}
    </div>
  </div>
  <div
    id="more-reports-button"
    *ngIf="paginatedReports().length < filteredReports().length">
    <dsfr-button
      label="Plus de résultats"
      icon="fr-icon-arrow-down-line"
      [type]="buttonTypes.TERTIARY"
      (buttonClicked)="onMoreReportsClicked()"></dsfr-button>
  </div>
</div>
